services:
  app:
    build:
      context: .
      dockerfile: Dockerfile
    volumes:
      - .:/app  # Mount the local directory to /app in the container
    working_dir: /app  # Set the working directory inside the container to /app
    command: run --env-file -A --watch=static/,routes/ dev.ts  # Custom start command
    ports:
      - "8000:8000"  # Expose the container port
    environment:
      - DATA_DIR=/app/data  # Set the environment variable inside the container
